## ide-thread-pool ide-thread-pool |

## Functions

void | ide_thread_pool_push_task ()

## Types and Values

enum | IdeThreadPoolKind

## Object Hierarchy

        GEnum
        ╰── IdeThreadPoolKind

## Description

## Functions

### ide_thread_pool_push_task ()

    void
    ide_thread_pool_push_task (IdeThreadPoolKind kind,
                               GTask *task,
                               GTaskThreadFunc func);

This pushes a task to be executed on a worker thread based on the task kind as denoted by `kind` . Some tasks will be placed on special work queues or throttled based on proirity.

#### Parameters

kind | The task kind. |
task | A GTask to execute. |
func | The thread worker to execute for `task` . | [scope async]

## Types and Values

### enum IdeThreadPoolKind

#### Members

IDE_THREAD_POOL_COMPILER |  |
IDE_THREAD_POOL_INDEXER |  |
IDE_THREAD_POOL_LAST |  |